﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Orders;
using Hotline.Share.Dtos.FlowEngine.Workflow;
using Hotline.Share.Enums.Order;
using Hotline.Share.Enums.Settings;
using XF.Domain.Entities;

namespace Hotline.Application.Orders
{
    public interface IOrderApplication
    {
        /// <summary>
        /// 更新工单办理期满时间
        /// 1.更新工单 2.更新流程 3.推送省平台
        /// </summary>
        /// <returns></returns>
        Task DelayOrderExpiredTimeAsync(Order order, ETimeType timeType, int timeCount, bool publishToProvince = true);

        /// <summary>
        /// 新增工单办理流程记录
        /// </summary>
        Task AddOrderTracesAsync(string orderId, ICollection<WorkflowTraceDto> traces, CancellationToken cancellationToken);

        /// <summary>
        /// 撤销工单
        /// </summary>
        Task CancelOrderAsync(string orderId, string opinion, CancellationToken cancellationToken);
    }
}