﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单申请延时    
    /// </summary>
    [Description("服务工单申请延时")]
    public class DsDelayCaseInfoSend : CreationModificationEntity
    {
        /// <summary>
        /// 申请延期数量
        /// </summary>
        [SugarColumn(ColumnDescription = "申请延期数量")]
        public int ApplyDelaynum { get; set; }

        /// <summary>
        /// 申请延期单位（工作日或工作小时）
        /// </summary>
        [SugarColumn(ColumnDescription = "申请延期单位（工作日或工作小时）")]
        public int ApplyDelayunit { get; set; }

        /// <summary>
        /// 申请人员
        /// </summary>
        [SugarColumn(ColumnDescription = "申请人员", ColumnDataType = "varchar(50)")]
        public string ApplyName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [SugarColumn(ColumnDescription = "申请时间")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 申请部门
        /// </summary>
        [SugarColumn(ColumnDescription = "申请部门", ColumnDataType = "varchar(200)")]
        public string ApplyOuname { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [SugarColumn(ColumnDescription = "申请原因", ColumnDataType = "varchar(1000)")]
        public string ApplyReason { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        [SugarColumn(ColumnDescription = "申请类型", ColumnDataType = "varchar(10)")]
        public string ApplyType { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
